[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: are PHP license 3.0 or 3.1 compatible with Debian ?



On Thu, 2 Feb 2006 17:06:58 +0100 Alexander Schmehl wrote:

> I only found 3.0 and 3.01, please add license texts to your mail. 
> Makes thinks easier.
> 
> However:
> The license texts I found still contain the following point:
> 
> ====
>   6. Redistributions of any form whatsoever must retain the following
>      acknowledgment:
>      "This product includes PHP, freely available from
>      <http://www.php.net/>".
> ====
> 
> 
> Which means:  The license is still free, and still not suitable for
> anything but PHP itself.

I don't agree: I think that PHP license version 3.01 does not comply
with the DFSG, even when applied to PHP itself or to PHP Group software.
The problematic clause is #4.

Moreover, when the license is applied to anything else (that is to say,
software not provided by the PHP Group), a bunch of additional issues
appear.

Please, see

  http://lists.debian.org/debian-legal/2005/11/msg00271.html
  http://lists.debian.org/debian-legal/2005/11/msg00272.html

and the rest of the thread, for more details.

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4

Attachment: pgpEZQgRPBRvo.pgp
Description: PGP signature


Reply to: